dfits(1)

NAME
dfits - display FITS file header information

SYNOPSIS
dfits [-x xtnum] <list>
dfits [-x xtnum] -

DESCRIPTION

dfits displays FITS header informations on stdout. Header information can be found in the main header only (default), in extensions, or in both. See the -x option below. dfits accepts multi-file input. 'dfits -' expects single file data coming from stdin. dfits also accepts now 'HDR' files. These are identified from the fact that they contain a line feed in one of the 80 first characters.

OPTIONS

-x xtnum
    Specifies the extension to print out. Extensions are numbered starting from 1. If this option is not specified, only the main header is printed out. If this option specifies an extension that does not exist, nothing is printed out.
    Specify 0 as extension number to get a print of the main header plus all extension headers.

Examples :
dfits *.fits
dfits *.fits | grep NAXIS3
gzip -d < star.fits.gz | dfits - | more
dfits -x 0 *.fits
dfits -x 3 *.fits

SEE ALSO

fitsort can be combined with dfits output to sort out keyword values of a group of FITS files.

FILES

Files shall all comply with FITS format